Improper Input Validation Affecting io.springfox:springfox-swagger2 Open this link in a new tab package, versions [2.10.0,]


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-IOSPRINGFOX-1317096

  • published

    16 Nov 2020

  • disclosed

    9 Sep 2020

  • credit

    jackatsw

Introduced: 9 Sep 2020

CWE-20 Open this link in a new tab

How to fix?

There is no fixed version for io.springfox:springfox-swagger2.

Overview

Affected versions of this package are vulnerable to Improper Input Validation. The input to the /api-docs?group= URL query parameter is untrusted input and is not encoded before being written to the log.